//#include "DIALOGS\Prosper Fraigneau_dialog.h"
// object	Dialog;	declared in dialog.c
// ref		NPChar; declared in dialog.c
//#include "Dialogs\blaze_dialog_defines.c"

void ProcessDialogEvent()
{
	ref NPChar;
	aref Link, NextDiag;

	DeleteAttribute(&Dialog,"Links");

	makeref(NPChar,CharacterRef);
	makearef(Link, Dialog.Links);
	makearef(NextDiag, NPChar.Dialog);

	string iDay, iMonth;
	iDay = environment.date.day;
	iMonth = environment.date.month;
	string lastspeak_date = iday + " " + iMonth;

	ref PChar;
	PChar = GetMainCharacter();

	
	switch(Dialog.CurrentNode)
	{
		// -----------------------------------  -  
		case "First time":
			Dialog.defAni = "Gov_Dialog_1";
			Dialog.ani = "Gov_Dialog_2";
			Dialog.defCam = "1";
			Dialog.defSnd = "dialogs\0\017";
			Dialog.defLinkAni = "dialog_1";
			Dialog.defLinkCam = "1";
			Dialog.defLinkSnd = "dialogs\woman\024";
			Dialog.cam = "1";
			Dialog.snd = "dialogs\0\009";

			if(TradeCheck(PChar, NPChar, true)) { // NK
			Dialog.Text = DLG_TEXT[0] + GetMyFullName(NPChar) + DLG_TEXT[1];
			Link.l1 = DLG_TEXT[2] + GetMyFullName(PChar) + DLG_TEXT[3];
			Link.l1.go = "Second Time";
			NextDiag.TempNode = "Second time";
			// NK -->
			}
			else
			{
				dialog.text = DLG_TEXT[16] + GetMyAddressForm(NPChar, PChar, ADDR_CIVIL, false, false) + DLG_TEXT[17];
				Link.l1 = DLG_TEXT[18];
				Link.l1.go = "exit";
				if(sti(PChar.Skill.Commerce)>=5)
				{
					Link.l2 = TranslateString("","high_trade_1");
					Link.l2.go = "high_price";
				}
				NextDiag.TempNode = "First time";
			}
			// NK <--
		break;

		case "high_price":
			dialog.text = TranslateString("","high_trade_2");
			link.l1 = TranslateString("","high_trade_3");
			link.l1.go = "shipyard_high";
			link.l2 = TranslateString("","high_trade_4");
			link.l2.go = "exit";
			NextDiag.TempNode = "First time";
		break;

		case "shipyard_high":
			dialog.Text = TranslateString("","high_trade_5");
			Link.l1 = TranslateString("","high_trade_6");
			Link.l1.go = "SHIPYARD_interface_high";
		//	Link.l2 = TranslateString("","high_trade_7");
		//	Link.l2.go = "Cannons_interface_high";
			Link.l3 = TranslateString("","high_trade_4");
			Link.l3.go = "Exit";
			NextDiag.TempNode = "First time";
		break;

		case "SHIPYARD_interface_high":
			NextDiag.TempNode = "First time";
			if(npchar.quest.Meeting != lastspeak_date)
			{
				FillShipsList(&NPChar); // NK

				npchar.quest.Meeting = lastspeak_date;
			}			
			DialogExit();
			tradeHigh = true;
			LaunchShipyard(npchar);
		break;

		case "Cannons_interface_high":
			NextDiag.TempNode = "First time";
			DialogExit();
			tradeHigh = true;
			LaunchCannons();
		break;

		case "Second time":
			if(TradeCheck(PChar, NPChar, true)) { // NK
			dialog.text = DLG_TEXT[4] + GetMyAddressForm(NPChar, PChar, ADDR_CIVIL, false, false) + DLG_TEXT[5];
			link.l1 = DLG_TEXT[6];
			link.l1.go = "shipyard";
			link.l2 = DLG_TEXT[7];
			link.l2.go = "quest";
			link.l3 = DLG_TEXT[8];
			link.l3.go = "exit";
			// NK -->
			}
			else
			{
				dialog.text = DLG_TEXT[16] + GetMyAddressForm(NPChar, PChar, ADDR_CIVIL, false, false) + DLG_TEXT[17];
				Link.l1 = DLG_TEXT[18];
				Link.l1.go = "exit";
			}
			// NK <--
			NextDiag.TempNode = "Second time";
		break;

		case "quest":
			dialog.text = DLG_TEXT[9];
			link.l1 = DLG_TEXT[10];
			link.l1.go = "Second time";
			link.l2 = DLG_TEXT[11];
			link.l2.go = "exit";
		break;

		case "shipyard":
			dialog.Text = DLG_TEXT[19];	// ccc 15oct04 shipyard waiting
			Link.l1 = DLG_TEXT[13];
			Link.l1.go = "SHIPYARD_interface";
		//	Link.l2 = DLG_TEXT[14];
		//	Link.l2.go = "Cannons_interface";

  // Viper - Emblemed Sails v2 Start

//			Link.l3 = "I would like to change my ships' sails";			//commented out by KAM
//			Link.l3.go = "Viper_Sails_Interface";					//commented out by KAM
			Link.l3 = DLG_TEXT[15];							//changed by KAM
			Link.l3.go = "Exit";							//changed by KAM

		break;

		case "Viper_Sails_Interface":
			PChar.viper_changesails = true;
			//PostEvent("key_event",500,13,0);
			//NextDiag.CurrentNode = NextDiag.TempNode;
			//DialogExit();
			//Log_SetStringToLog("Select base sails");
			//BLI_EnableShow();
			dialog.Text = DLG_TEXT[21];
			Link.l1 = DLG_TEXT[22];
			Link.l1.go = "Exit";
		break;

  // Viper - Emblemed Sails v2 End

		case "SHIPYARD_interface":
			NextDiag.CurrentNode = NextDiag.TempNode;

			if (npchar.quest.Meeting != lastspeak_date)
			{
				FillShipsList(&NPChar); // NK

				npchar.quest.Meeting = lastspeak_date;
			}
			
			DialogExit();
			LaunchShipyard(npchar);
		break;

		case "CANNONS_interface":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
			LaunchCannons();
		break;

		case "Exit":
			DialogExit();
			NextDiag.CurrentNode = NextDiag.TempNode;
		break;
	}
}
